BEGIN DVAMPANO




IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("AnomenResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~I became a monster. How can I look into eyes of people now? I lust for blood. <CHARNAME>, my beloved, I even want to drink your blood.~
   ++ ~Anomen, I love you. Even as a vampire, you will be with me.~ + briefingNV1a
   ++ ~Anomen, don't you like your new form? I like it.~ + briefingNV1b
   ++ ~Anomen, I am now your master and will command you.~ + briefing2l
   ++ ~Die, villain!~ + briefing3f
END

IF ~~ briefingNV1a
  SAY ~I also love you. But how can I live like that? I would kill for hunger!~
 ++ ~It's okay for you, it's your new nature to survive through killing. I will help you outlive this.~ + briefingNV1c
  ++ ~I command you to join my party and obey me.~ + briefing2
     ++ ~Die, villain!~ + briefing3f
END

IF ~~ briefingNV1m
  SAY ~I don't know. I don't want to die, that's right. I must get used to this.~
  ++ ~I command you to join my party and obey me.~ + briefing2l
     ++ ~Die, villain!~ + briefing3f
END

IF ~~ briefingNV1b
  SAY ~You like it? Maybe it has it's good sides. I feel some lust for you. I didn't lost my man things yet.~
  ++ ~I command you to join my party and obey me.~ + briefing2lc
  ++ ~Glad to hear this. We will get used to this.~ + briefing2lc
     ++ ~Then die, if you want to die!~ + briefing3f
END

IF ~~ briefingNV1c
  SAY ~As a soldier, I killed for others. To kill for myself to survive? It could be more truthfully.~
  ++ ~I command you to join my party and obey me.~ + briefing2lc
  ++ ~Glad to hear this. We will get used to this.~ + briefing2lc
     ++ ~Then die, if you want to die!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("AnomenResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~What I become! It's you who let me live! I am a Harper and vampire? I better kill myself! I hate you!~
   ++ ~Anomen, don't you like your new form? I like it.~ + briefingNV1m
   ++ ~Anomen, I am now your master and will command you.~ + briefing2
   ++ ~Then die, if you want to die!~ + briefing3f
END

IF ~~ briefing2l
  SAY ~I will try to get used to this for you...~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("AnomenResurrected","GLOBAL",2)
  DestroyItem("MISCBM")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing2lc
  SAY ~I will try to get used to this...~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("AnomenResurrected","GLOBAL",2)
  DestroyItem("MISCBM")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing2
  SAY ~Yes, master.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("AnomenResurrected","GLOBAL",2)
  DestroyItem("MISCBM")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~You want to kill me? I am so ashamed then I don't want to die...~
  IF ~~ THEN DO ~SetGlobal("AnomenResurrected","GLOBAL",2)
    SetGlobal("AnomenLeft","GLOBAL",1)
Enemy()
~ EXIT
END


IF ~~ briefing3fb
  SAY ~I will defend myself, traitor!~
  IF ~~ THEN DO ~SetGlobal("AnomenResurrected","GLOBAL",2)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~You release me? I am so alone in this world...~
  IF ~~ THEN DO ~LeaveParty()
  EscapeArea()
~ EXIT
END

//when thrown out
IF ~!Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~My master, what do you want?~ 
 ++ ~Come with me, Anomen, I need you.~ + notparty1
 ++ ~Stay here, Anomen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~~ notparty2f
SAY ~Yes, my love!~
IF ~~ THEN DO ~~ EXIT
END


IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~My love, what do you want?~ 
 ++ ~Come with me, Anomen, I need you.~ + notparty1f
 ++ ~Stay here, Anomen, I will return.~ + notparty2f
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~My love, what do you want?~ 
 ++ ~Come with me, Anomen, I need you.~ + notparty1f
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoSTf
 ++ ~Stay here, Anomen, I will return.~ + notparty2f
  ++ ~You are free to go. I release you.~ + briefing3f  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~!Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~My master, what do you want?~ 
 ++ ~Come with me, Anomen, I need you.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Anomen, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1f
  SAY ~Yes, my beloved!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~As you command!~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~We will meet there, than.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

 
 IF ~~ notpartGoSTf
   SAY ~I will wait you there, my love!~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

 
// talk in party

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, what do you want?~ 
 ++ ~Are you hungry? You can suck my blood, Anomen.~ + suckblood
 ++ ~Tell me your story, Anomen.~ + talkAnomenM
 ++ ~No, nothing right now, Anomen.~ + byesilent
  ++ ~I decided to end your life, Anomen.~ + briefing3fb
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~What do you want, my love?~ 
 ++ ~Are you hungry? You can suck my blood, Anomen.~ + suckblood
 ++ ~Tell me your story, Anomen.~ + talkAnomenF
 ++ ~No, nothing right now, Anomen.~ + byesilentf
  ++ ~I decided to end your life, Anomen.~ + briefing3fb
END

IF ~!Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~My master, what do you want?~ 
 ++ ~I hate you!~ + suckblood
 ++ ~Make me a vampire, Anomen.~ + vampconvm
 ++ ~Tell me your story, Anomen.~ + talkAnomenM
 ++ ~No, nothing right now, Anomen. Sorry.~ + byesilent
   ++ ~I decided to end your life, Anomen.~ + briefing3fb
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~What do you want, my love?~ 
 ++ ~I hate you!~ + suckblood
 ++ ~Make me a vampire, Anomen.~ + vampconvf 
 ++ ~Tell me your story, Anomen.~ +   talkAnomenM
 ++ ~No, nothing right now, Anomen. Sorry for disturbance.~ + byesilentf
   ++ ~I decided to end your life, Anomen.~ + briefing3fb
END

IF ~~ byesilent
SAY ~Okay...~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ byesilentf
SAY ~You just love to see me, I know...~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ talkAnomenM
  SAY ~You know me well. When I was captured by Bodhi and converted into vampire, I thought, there will be only darkness and pain. I thank you that you saved my life and returned to Fearun.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkAnomenF
  SAY ~You know me well, my love. When I was captured by Bodhi and converted into vampire, I thought, there will be only darkness and pain. I thank you that you saved my life and returned to Fearun. And you are the only woman in my life. Or un-life, if you say so.~
  IF ~~ THEN DO ~~ EXIT
END



IF ~~ suckblood
  SAY ~You are my love!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~Hey, your blood is not a blood for me!~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ suckblood2
  SAY ~I love almost everything about you. And your blood is not the worst thing!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,90,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END



IF ~~ vampconvm
  SAY ~(Anomen gets closer to your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Anomen presses you to wall and gets closer to your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel his teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Anomen.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Anomen. He loves you and lusts you badly. You will not be alone in your crypt.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,2,ADD)
		ChangeStat(Player1,STR,1,ADD)
		ChangeStat(Player1,WIS,-2,ADD)
		ChangeStat(Player1,INT,-1,ADD)
		

		SetGlobal("AnomenVampirized","GLOBAL",1)	
	~ EXIT
END

